[v-cloak] {
  display: none;
}



/* #main-header {
	margin-left: 0px !important;
}

#vueMain {
	margin-left: 0px !important;
} */





.bg-primary-azimut,
.bg-primary-azimut>a {
  color: #000000 !important;
}

.bg-primary-azimut {
  background-color: #0095ff63 !important;
}



.contextMenu {

  background-color: #ffffff;
  border: 1px solid #000000;
}

.contextMenu ul li {
  border-bottom: 1px solid black;
  list-style: none;
  padding: 4px;
}

.contextMenu ul li:hover {
  background-color: #0008ff;
  color: #ffffff;
}

.contextMenu ul li:last-child {
  border-bottom: 0px !important;
}

.contextMenu ul {
  padding-inline-start: 0px;
  margin-block-start: 0px;
  margin-block-end: 0px;
}

.fit-content {
  width: fit-content;
  margin-top: 3px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: #444444 !important;
}

.bandge-azimut {
  padding: 2px;
  font-size: 11px;
  font-weight: 500;
}

.custom-file-label::after {
  content: "Выбрать" !important;
  cursor: pointer !important;
}

.input-group-text {
  cursor: pointer;
  color: #fff !important;
  background-color: #28a745 !important;
  border-color: #28a745 !important;
}

.custom-file-label {
  cursor: pointer !important;
}

.matrix-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  z-index: 2;
  /* Ensure it stays above the rain effect */
}

.matrix-text {
  margin-right: -3px;
  color: #0f0;
  font-size: 22px;
  font-family: monospace;
  position: relative;
  text-shadow: 0 0 10px #0f0, 0 0 20px #0f0, 0 0 30px #0f0;
  z-index: 2;
  /* Ensure it stays above the rain effect */
}

.matrix-text::before {
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  animation: glitch 2s infinite;
  clip-path: polygon(0 0, 100% 0, 100% 45%, 0 45%);
  transform: translate(-2px, -2px);
  color: #0f0;
  text-shadow: 0 0 5px #0f0, 0 0 15px #0f0;
}

.rain {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: repeating-linear-gradient(0deg,
      rgba(0, 255, 0, 0.1) 0,
      rgba(0, 255, 0, 0.2) 2px,
      transparent 4px);
  animation: rain 10s linear infinite;
  z-index: 1;
  /* Place it behind the text */
}

/* Animation for the rain effect */
@keyframes rain {
  0% {
    transform: translateY(-100%);
  }

  100% {
    transform: translateY(100%);
  }
}

/* Glitch effect for the text */
@keyframes glitch {

  0%,
  100% {
    clip-path: polygon(0 0, 100% 0, 100% 45%, 0 45%);
    transform: translate(0);
  }

  33% {
    clip-path: polygon(0 0, 100% 0, 100% 15%, 0 15%);
    transform: translate(-5px, -5px);
  }

  66% {
    clip-path: polygon(0 85%, 100% 85%, 100% 100%, 0 100%);
    transform: translate(5px, 5px);
  }
}